# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::EventException Class Reference

Introduced in DOM Level 2:. More...

`#include <dom2_events.h>`

List of all members.

## Public Types

enum | EventExceptionCode { UNSPECIFIED_EVENT_TYPE_ERR = 0 }

## Public Member Functions

| EventException (unsigned short _code)
| EventException (const EventException &other)
EventException & | operator= (const EventException &other)

## Public Attributes

unsigned short | code

## Detailed Description

Introduced in DOM Level 2:.

Event operations may throw an EventException as specified in their method descriptions.

Definition at line 267 of file dom2_events.h.

## Member Enumeration Documentation

enum DOM::EventException::EventExceptionCode

| An integer indicating the type of error generated. UNSPECIFIED_EVENT_TYPE_ERR: If the Event's type was not specified by initializing the event before the method was called. Specification of the Event's type as null or an empty string will also trigger this exception. Definition at line 284 of file dom2_events.h.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:40 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003